let ws = new WebSocket('ws://' + document.location.host + '/ws');


$('#container').on('click', '.anchor', ( function (event) {
    let anchorName = $(this).attr('id').replace('_event', '');
    let data = JSON.stringify({
        'anchor': anchorName,
        'data': $('#' + anchorName).text()
    });
    console.log('Sending: ');
    console.log(data);
    ws.send(data);
}));

$('form#anchor_login_event').on('submit', (function (event) {
        event.preventDefault();

        let anchorName = $(this).attr('id').replace('_event', '');
        $.post(
            $(this).attr('action'),
            $(this).serialize(),
            function (data) {}
        );
}));

ws.onopen = function () {
    ws.send(JSON.stringify({
        'anchor': 'reset',
        'data': ''
    }));
    // init webide
    ws.send(JSON.stringify({
        'anchor': 'anchor_webide',
        'data': ''
    }));
};

ws.onmessage = function (messageEvent) {
    let message = JSON.parse(messageEvent.data);
    $('#' + message['anchor']).text(message['data']);
};